Bug 129442 - Updating some WebRTC and MediaStream LayoutTests
Summary: Updating some WebRTC and MediaStream LayoutTests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Thiago de Barros Lacerda
URL:
Keywords:
Depends on:
Blocks: 124288
  Show dependency treegraph
 
Reported: 2014-02-27 12:45 PST by Thiago de Barros Lacerda
Modified: 2014-05-19 09:08 PDT (History)
8 users (show)

See Also:


Attachments
Patch (13.30 KB, patch)
2014-02-27 12:50 PST, Thiago de Barros Lacerda
no flags Details | Formatted Diff | Diff
Changes in ChangeLog (13.72 KB, patch)
2014-02-28 06:07 PST, Thiago de Barros Lacerda
no flags Details | Formatted Diff | Diff
Changes in ChangeLog (13.72 KB, patch)
2014-02-28 08:25 PST, Thiago de Barros Lacerda
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thiago de Barros Lacerda 2014-02-27 12:45:44 PST
Due to changes in JavaScriptCore (in r163562), some LayoutTests in fast/mediastream needed to be updated.
Comment 1 Thiago de Barros Lacerda 2014-02-27 12:50:23 PST
Created attachment 225402 [details]
Patch
Comment 2 Eric Carlson 2014-02-27 14:50:09 PST
Comment on attachment 225402 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=225402&action=review

> LayoutTests/fast/mediastream/RTCIceCandidate.html:-25
> -            shouldNotThrow('initializer = JSON.parse(JSON.stringify(candidate));');
> -
> -            shouldNotThrow('candidate = new RTCIceCandidate(initializer);');
> -            shouldBe('candidate.candidate', '"foo"');
> -            shouldBe('candidate.sdpMid', '"bar"');
> -            shouldBe('candidate.sdpMLineIndex', '6');
> -

ChangeLog should mention why this test was changed.

> LayoutTests/fast/mediastream/RTCSessionDescription.html:-24
> -            shouldNotThrow('initializer = JSON.parse(JSON.stringify(sessionDescription));');
> -
> -            shouldNotThrow("sessionDescription = new RTCSessionDescription(initializer);");
> -            shouldBe('sessionDescription.type', '"offer"');
> -            shouldBe('sessionDescription.sdp', '"foobar"');
> -

Ditto.
Comment 3 Thiago de Barros Lacerda 2014-02-28 06:07:41 PST
Created attachment 225456 [details]
Changes in ChangeLog
Comment 4 Thiago de Barros Lacerda 2014-02-28 08:25:41 PST
Created attachment 225469 [details]
Changes in ChangeLog
Comment 5 Eric Carlson 2014-02-28 12:30:07 PST
Comment on attachment 225469 [details]
Changes in ChangeLog

Thanks for the update!
Comment 6 WebKit Commit Bot 2014-03-02 07:31:16 PST
Comment on attachment 225469 [details]
Changes in ChangeLog

Clearing flags on attachment: 225469

Committed r164941: <http://trac.webkit.org/changeset/164941>